DO $$ 
	DECLARE _path character varying(256) = 'patch-2024-10-22-ProjectTaskTypes_Order';

	BEGIN
		IF EXISTS (SELECT "Id" FROM public."Versions" WHERE "Path"=_path) THEN
			RETURN;
		END IF;

		IF EXISTS (SELECT "Id" FROM public."Versions" WHERE "Build">=14592) THEN
			RETURN;
		END IF;

		BEGIN
            		ALTER TABLE public."ProjectTaskTypes" ADD "PatternId" BIGINT NULL;
            		ALTER TABLE public."ProjectTaskTypes" ADD "Order" BIGINT NULL;
 			INSERT INTO public."Versions" ("Path", "Build") VALUES (_path, 0);
			EXCEPTION
				WHEN OTHERS THEN RAISE NOTICE '[ERR] patch-2024-10-22-ProjectTaskTypes_Order: %', SQLERRM;
		END;
	END;
$$